Page MenuHomePhabricator

TMH subtitle fetch broken (nothing returned) for ForeignFileRepo / InstantCommons
Closed, ResolvedPublic0 Story Points

Description

Broken by the changes to TMH with the addition of the new API.

E.g. https://en.wikipedia.beta.wmflabs.org/wiki/File:Sneak_Preview_-_Wikipedia_VisualEditor.webm

Whoops.

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterTextHandler: Unbreak parsing API texttrack results

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2019, 9:17 PM
brion added a comment.May 7 2019, 9:30 PM

IIRC production Commons is fetched into Beta via ForeignAPIRepo, so it's seeing only the srt-format subtitles in its list that production Commons sees. It should fix up after production Commons gets the timedtext API...

Yes, at first I was worried that nothing worked, but when local and cross-domain-where-the-source-wiki-has-the-new-code both worked, I imagined that might be it. Close as Invalid?

Reedy renamed this task from On Beta Cluster, VideoJS knows about but doesn't shown subtitles for videos hosted on production Commons to On Beta Cluster, VideoJS knows about but doesn't show subtitles for videos hosted on production Commons.May 8 2019, 1:51 PM

Update: It didn't get magically fixed when the new code went to Commons, because it is actually broken. @TheDJ and I are working on this at the Hackathon.

Jdforrester-WMF renamed this task from On Beta Cluster, VideoJS knows about but doesn't show subtitles for videos hosted on production Commons to VideoJS subtitle API fetch doesn't get returned for ForeignFileRepo / InstantCommons.May 17 2019, 9:13 AM
Jdforrester-WMF renamed this task from VideoJS subtitle API fetch doesn't get returned for ForeignFileRepo / InstantCommons to TMH subtitle fetch broken (nothing returned) for ForeignFileRepo / InstantCommons.May 17 2019, 9:17 AM
Jdforrester-WMF assigned this task to TheDJ.
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF updated the task description. (Show Details)

Change 510825 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/TimedMediaHandler@master] TextHandler: Unbreak parsing API texttrack results

https://gerrit.wikimedia.org/r/510825

Change 510825 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] TextHandler: Unbreak parsing API texttrack results

https://gerrit.wikimedia.org/r/510825

Jdforrester-WMF closed this task as Resolved.May 17 2019, 10:15 AM
Jdforrester-WMF removed a project: Patch-For-Review.